Gdk::Cairo Namespace Reference

## Functions

void | set_source_color (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context. More...
void | set_source_color (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context. More...
void | set_source_pixbuf (::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double pixbuf_x=0, double pixbuf_y=0)
| Sets the given pixbuf as the source pattern for the Cairo context. More...
void | set_source_pixbuf (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double pixbuf_x=0, double pixbuf_y=0)
| Sets the given pixbuf as the source pattern for the Cairo context. More...
void | set_source_pixmap (::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixmap >& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context. More...
void | set_source_pixmap (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixmap >& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context. More...
void | rectangle (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Rectangle& rectangle)
| Adds the given rectangle to the current path of the context. More...
void | add_rectangle_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Rectangle&rectangle)
| Adds the given rectangle to the current path of the context. More...
void | region (::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Region& region)
| Adds the given region to the current path of the context. More...
void | add_region_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Region&region)
| Adds the given region to the current path of the context. More...

## Function Documentation

void Gdk::Cairo::add_rectangle_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Rectangle& | rectangle
| ) |  |

Adds the given rectangle to the current path of the context.

Parameters

  context | A cairo context.
  rectangle | A rectangle to add to the path of the context.

Since gtkmm 2.12:

void Gdk::Cairo::add_region_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Region& | region
| ) |  |

Adds the given region to the current path of the context.

Parameters

  context | A cairo context.
  region | A region to add to the path of the context.

Since gtkmm 2.12:

void Gdk::Cairo::rectangle | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Rectangle& | rectangle
| ) |  |

Adds the given rectangle to the current path of the context.

Parameters

  context | A cairo context.
  rectangle | A rectangle to add to the path of the context.

Deprecated:
  Use add_rectangle_to_path() instead reference.

Since gtkmm 2.10:

void Gdk::Cairo::region | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Region& | region
| ) |  |

Adds the given region to the current path of the context.

Parameters

  context | A cairo context.
  region | A region to add to the path of the context.

Deprecated:
  Use add_region_to_path() instead

Since gtkmm 2.10:

void Gdk::Cairo::set_source_color | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Color& | color
| ) |  |

Sets the specified Gdk::Color as the source color of the Cairo context.

Parameters

void Gdk::Cairo::set_source_color | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Color& | color
| ) |  |

Sets the specified Gdk::Color as the source color of the Cairo context.

Parameters

void Gdk::Cairo::set_source_pixbuf | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | double | pixbuf_x = `0`,
|  | double | pixbuf_y = `0`
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y.

Parameters

void Gdk::Cairo::set_source_pixbuf | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | double | pixbuf_x = `0`,
|  | double | pixbuf_y = `0`
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y.

Parameters

void Gdk::Cairo::set_source_pixmap | ( | ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixmap >& | pixmap,
|  | double | pixmap_x,
|  | double | pixmap_y
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixmap_x, pixmap_y.

Parameters

void Gdk::Cairo::set_source_pixmap | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixmap >& | pixmap,
|  | double | pixmap_x,
|  | double | pixmap_y
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixmap_x, pixmap_y.

Parameters